/****************************************************************
* Motorola Semiconductor Products
* Microprocessor  Memory Technologies Group
* Networking and Communications
* Applications Group
* 6501 William Cannon Drive West
* Austin, Tx 78735
*
* This software is provided under a DISCLAIMER OF WARRANTY.
* 
* sc302.h 									
* $RCSfile: sc302ads.h $			
* $Revision: 1.3 $	
* $Date: 1996/11/08 21:58:18 $
* $Author: toddf $
* 
* Description:	
*      sc302.h - Contains the sc302 definition for all hardware
*                specific locations.
* 
* Function List:
*      None
*
* Modification History:
* -----------------------------------------------------------------
*   	1.1 - taf- Original
*	1.2 - taf- added EEPROM_EN
*			added PnP ports
*   
* -----------------------------------------------------------------
* Dependencies:
*
*****************************************************************/

#ifndef __sc302_H
#define __sc302_H
#define ERROR -1 

/* taf */
#define BIT0 0x0001
#define BIT1 0x0002
#define BIT2 0x0004
#define BIT3 0x0008
#define BIT4 0x0010
#define BIT5 0x0020
#define BIT6 0x0040
#define BIT7 0x0080
#define BIT8 0x0100
#define BIT9 0x0200
#define BIT10 0x0400
#define BIT11 0x0800
#define BIT12 0x1000
#define BIT13 0x2000
#define BIT14 0x4000
#define BIT15 0x8000


#define PACNT 0x081e 
#define PADDR 0x0820 
#define PADAT 0x0822 

#define IPR 	0x0814
#define IMR 	0x0816
#define PACNT 	0x081e
#define PADDR 	0x0820
#define PADAT 	0x0822
#define PENCR 	0x0824
#define SPNL3 	BIT7
#define SCPEN3	BIT3
#define SPNL1	BIT5
#define SCPEN1	BIT1
#define PMFSR	0x0826
#define SPMODE 	0x08b0
#define TxRxBD 	0x074e


#define U_SCPEN 	BIT3
#define U_INUSE_LED 	BIT5

#define RST_U_ST	BIT9

#define	PA2		BIT2	/* general purpose SCPEnable2 pin */

#define ST_SCPEN 	BIT1
#define ST_INUSE_LED 	BIT7

#define EPROM_EN	BIT0

#define	ADDRESS		0x279
#define	WRITE_DATA	0xA79
#define READ_DATA	0x84		/* 00 1000 0100 11 -->data port 0x213 */

/* Plug and Play configuration registers */
#define	RD_DATA_PORT	0x00
#define	SERIAL_ISOLATION	0x01

#define	CONFIG_CONTROL	0x02
#define	RESET_CSN	BIT2
#define	RETURN_WAIT_FOR_KEY_STATE	BIT1
#define	RESET_FCN	BIT0

#define	WAKE_CSN	0x03
#define	RESOURCE_DATA	0x04
#define	STATUS	0x05
#define	CARD_SELECT_NUM	0x06
#define	LOGICAL_DEV_NUM	0x07

#define	ACTIVATE	0x30

#define	IO_PORT_BASE_HI	0x60
#define	IO_PORT_BASE_LOW	0x61

#define	IRQ_SELECT	0x70
#define	IRQ_TYPE	0x71

#define ISI	0x22

#endif
